axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rob Jellinghaus <r...@unrealities.com>
Subject Re: [PATCH] Add JAXP 1.1 to Build.xml's Prerequisites
Date Thu, 24 May 2001 02:10:13 GMT
If we do that, then I would suggest we bite the bullet and include log4j as
well.  The more I think about it, the more I think that converting the
existing code over to log4j is The Right Thing.  And if we already have a
lib/ directory, then adding one more item doesn't seem too onerous...?

And yes, I am saying I would like to do a lot of the log4j work :-)

Cheers,
Rob

At 09:43 PM 5/23/2001 -0400, Glen Daniels wrote:
>Along these lines, we should probably start wrapping jaxp/xalan/crimson up
>in a lib/ directory, much as ant/jdom/junit do.
>
>--G
>
>----- Original Message -----
>From: "Sam Ruby" <rubys@us.ibm.com>
>To: <axis-dev@xml.apache.org>
>Sent: Wednesday, May 23, 2001 9:13 PM
>Subject: Re: [PATCH] Add JAXP 1.1 to Build.xml's Prerequisites
>
>
>> Jim Sterns wrote:
>> >
>> > Thanks for JAXP'izing Axis.  I'd suggest some additions to build.xml
>> > reflecting the new pre-requisite, which, if I understand correctly, not
>> > only includes jaxp.jar, but crimson.jar (default implementation) and
>> > xalan.jar (for XSLT).
>>
>> The default implementation is not a prerequisite.  In particular:
>>
>> >     <echo message="--- Required Libraries ---" />
>> >     <echo message="xerces.present=${xerces.present}" />
>> >+    <echo message="jaxp.present=${jaxp.present}" />
>> >+    <echo message="crimson.present=${crimson.present}" />
>> >+    <echo message="xalan.present=${xalan.present}" />
>>
>> Crimson is NOT required.  Nor should Xerces now be.
>>
>> Only JAXP is required.  But Ant requires it anyway, so there is no useful
>> information here.
>>
>> Now SAX2 is required.  The original JAXP implementation only supported
>SAX1
>> .  That might be useful.
>>
>> - Sam Ruby
>>
>
>
>


Mime
View raw message